Cookies op Tweakers

Tweakers maakt gebruik van cookies, onder andere om de website te analyseren, het gebruiksgemak te vergroten en advertenties te tonen. Door gebruik te maken van deze website, of door op 'Ga verder' te klikken, geef je toestemming voor het gebruik van cookies. Wil je meer informatie over cookies en hoe ze worden gebruikt, bekijk dan ons cookiebeleid.

Meer informatie

Door , , 68 reacties
Bron: Kodi, submitter: FREAKJAM

Kodi (75 pix)De final release van Kodi versie 15.2 is uitgekomen. Deze crossplatform-mediacentersoftware wordt ontwikkeld voor Windows, OS X, Linux, Android en iOS. Versie 15.2 is een bugfix-release voor versie 15.0, waarin onder meer adaptive seeking is toegevoegd, wat inhoudt dat er met grotere of kleinere stappen door audio- en videobestanden kan worden gesprongen. Verder kan er op een visuele manier naar hoofdstukken worden gesprongen, is er ondersteuning voor hevc h265 onder Android op bepaalde chipsets en wordt er overgestapt op C++11 voor de code. Al dit moois heeft echter wel tot gevolg dat de minimumspecificaties zijn verhoogd. Zo is nu minimaal OS X 10.7, iOS 5.1 of Android 4.2 nodig.

Fixes done in this 15.2 version
  • Fix non DVB subtitles
  • Fix incompatible MySQL queries
  • Improvements on PulseAudio for Linux
  • Fix multi images in grouplists/layouts
  • Updated PVR add-ons: Tvheadend HTSP and MythTV
  • Fix refresh-rate switching on Android. This should improve on most devices like Nexus Player and NVIDIA SHIELD TV and others which use the Android API
  • Fix file time used in scanning library which may speed up scanning times on 32bit platforms
  • Fix video rewind on Windows. May still leave artifacts for some seconds.
  • Fix continues check on system partitions on Android
  • Fix MicroDVD subtitles
  • Fix subtitles positioning below video
  • Fix memory leak on opening Bluray menu for stream selection
  • Fix default sorting for songs over UPnP
  • Updated taglib that fixes a crash when playing flac files
  • Fix volume adjustment for XBOX controllers
  • Fixes side flyout appearing when using touch
  • Fixes freeze on win32 on away mode
  • Fix crash on osx 10.7 when trying to resolve hdd names
  • Fix Amlogic zoom problems on Android
  • Set default screen region for dvb subs (wrong placed subtitles)
  • Fix missing lyrics from tag when playing from musicdb url
  • Properly set the time format when setting/changing regions
  • Fix playback problems on AMLogic after ffwd or skip
  • Fix fallback for nb_no language
  • Fix empty LatestAlbum.Artist
  • Fix watched flag in Confluence media info 3 view

Kodi 15.2 - Isengard

Versienummer:15.2
Releasestatus:Final
Besturingssystemen:Windows 7, Android, Linux, macOS, iOS, Windows 8, Windows 10
Website:Kodi
Download:http://kodi.tv/download
Bestandsgrootte:63,50MB
Licentietype:GPL
Moderatie-faq Wijzig weergave

Reacties (68)

Op m´n PI2 draait nog 14 ofzo. Zal die automatisch nog naar 15.2 gaan een keer?
Als je OpenELEC draait zal dat nog wel gaan gebeuren (als 6.0 eindelijk eens uit beta gaat).
Nee, majors (13.x > 14.x > 15.x) gaan niet automatisch, moet je met de hand doen, staat op OpenElec hoe dat moet. Bij minors (15.0 > 15.1 > 15.2) die kunnen wel automatisch mits je dat aan hebt staan in de OpenElec configuratie. Dan krijg je van die meldingen dat er een update is gedownload. Zodra je de Pi dan reboot wordt die update geÔnstalleerd.
Klopt idd! Vraag me wel af wanneer de stable eens wordt ge-update aangezien de laatste nog altijd op Kodi 14 zit.
15.2 is toch gewoon de stable?
Op de site van Kodi:
Current stable release: Kodi v15.2 “Isengard”
15.1 zit al in de beta 5.95.5 van OpenElec. Dat het bij OpenElec een beta maakt echt niet uit hoor. Het belangrijkste is dat het geen RC release is maar gewoon een stable.

http://releases.openelec....arm-5.95.5.tar?mirrorlist

Dat is de laatste beta van OpenElec met 15.1 stable van Kodi.
Ik bedoel inderdaad de stable van OpenELEC die nog niet op de laatste Kodi zit. Ik heb nog nooit een Beta oid van OpenELEC gebruikt maar ik ga die versie eens checken.
Een beta van OpenElec kan eigelijk nooit veel kwaad. Ik kijk altijd eerder naar de versie van Kodi. Die wil ik altijd op de laatste stable hebben. En heb nu zowel Pi 1 als Pi 2 op beiden de laatste Kodi stable draaien, geen enkel probleem gehad nog.
OpenELEC update alleen automatisch binnen dezelfde versie. Een 'big bump' van bijvoorbeeld versie 14 naar 15 zul je altijd handmatig moeten doen.

Bij een automatische update van 14 naar 15 zouden de al aanwezige addons en skins voor problemen kunnen zorgen omdat die door elk van hun developers ook bijgewerkt moeten zijn. Is dat niet gebeurd, dan kunnen crashes en/of andere oneffenheden naar voren komen in geval van incompatibiliteit.
Dus 15 op het kaartje zetten en alle addons opnieuw installeren?
Nee, zoals zo vaak: eerst een volledige backup maken en veiligstellen, en dan de update handmatig doorvoeren. De meeste addons en skins zijn wel compatible danwel al geupdate, maar er kan er altijd eentje tussenzitten die dwars ligt.
Welke ab gebruiken jullie?

Ik gebruik nu zelf een wireless mini keyboard + mouse combo:

http://www.amazon.com/Str...KP-810-21S/dp/B00KF9IVKC/

maar dat werkt niet zo lekker voor een mediaspeler.

Ik heb ook nog een oude Asus HDP R1 met een hele fijne ab. Ik zou die ab graag aan de praat willen krijgen met Kodi. (Het grote nadeel van Asus is dat het geen NFS ondersteunt.)

Edit:

Sorry, ik vergat te melden dat ik een RPI gebruik. Is er een IR-sensor die je kan inpluggen?

[Reactie gewijzigd door Grimm op 20 oktober 2015 11:55]

http://www.logitech.com/nl-nl/product/harmony-remote-650


Werkt als een trein. en doet de rest van mijn spullen ook
De Harmony Ultimate One gebruik ik, top ding. Enige ab die ik nog in huis heb.

https://secure.logitech.c...duct/harmony-ultimate-one
Playstation 3 remote control. Die werkt op bluetooth, en heeft daardoor een perfecte reactietijd. Alleen de batterijen moeten wat vaker worden vervangen, maar met oplaadbare hoeft dat geen probleem te zijn.

Die werkt ook onder linux, geen idee of die ook werkt op de Raspberry.

Met de Harmony heb ik slechte ervaringen. Enorm trage software bij het instellen, trage reactietijd vergeleken met de PS3 RC, maar bovenal: vreselijk design. De knoppen van de Harmonies zijn over het algemeen helemaal rond afgewerkt waardoor je de afstandbediening niet meer op gevoel kunt bedienen. Ik moet de knoppen kunnen voelen. Tevens de reden waarom ik geen touchscreen gebruik als remote. (Uitzonderingen daargelaten. Mn Raspberry client kodi bedien ik wel via een iOS remote. Bij lange woorden intikken wil ik ook nog wel eens Hippo opstarten. Denk bijvoorbeeld aan zoeken via de YouTube addon. Korte woorden staan er al nog voordat ik Łberhaupt een app op mn telefoon heb gestart)

Edit: spelfouten en uitbreiding iOS remote.

[Reactie gewijzigd door NightFox89 op 20 oktober 2015 18:22]

of het voor veel typen handig is weet ik niet maar ik gebruik Yatse als ab op tablet en telefoon. werkt als een trein en je kunt je library ook op de tablet zelf bekijken.
Ik heb ook dat mini keyboard maar ben er juist heel tevreden over. Snel typen en snel navigeren. Alleen de muis is traag, maar ik doe,alles met toetsen. Werkt hier perfect en snel.
Betekent dit het einde voor ondersteuning op Raspberry Pi B?
Laatste beta van OpenELEC is gewoon beschikbaar voor RPi en RPi2, dus dat zal wel meevallen.
Beta ja, maar welke Kodi release zit op de stable? Laatste keer dat ik keek was dat nog 14.2?
Dat is nog steeds zo met OE 5.0.8. :)
Duurt tegenwoordig erg lang bij OpenElec inderdaad. Zit er hard aan te denken om op Xbian over te stappen. Installatie zal niet moeilijk zijn, heb alleen geen zin om weer heel Kodi naar wens in te stellen. Net van een full fledged HTPC overgestapt op een Rpi 2 en daar dus OE op geinstalleerd.
OpenELEC zit niet vast aan de Kodi timeline en doet ook geen releases op regelmaat. Het moet wel nut hebben om een volgende release te maken.

OpenELEC heeft z'n eigen beslommeringen aangaande bugs, development en developers, en verder heel weinig beschikbare tijd tussen de 2-3 aanwezige developers.

Met goede backups is het geheel nieuw en naar wens installeren van OE niet nodig. Verder zijn er ook nog eens mensen die alleen maar "stable" releases willen vanwege het versienummer. Tsja...
Ben alleen bang dat de backup mogelijk problemen geeft als ik switch tussen Openelec en Xbian.

Je hebt verder wel een punt, ik mis nu niets met de huidige beta. Ergens in mij hoofd knaagd het echter dat ik nog niet de laatste Kodi variant heb en dat draait mogelijk alleen om dat nummertje idd 8)7
Nou ik heb inmiddels verschillende Kodi clients in huis waarvan de meeste op 15.1 zitten en ik gebruik een centrale mysql database op mijn NAS. Verder zijn de pvr clients (dvblink) veel stabieler in 15.x.

Dus als iemand een beter alternatief heeft voor een rpi2 dan hoor ik het graag
Dat is voor mij ook de rede geweest om over te stappen naar OSMC.
Hoe kom je daarbij? Denk dat OpenElec e.a. gewoon weer distributies gaan maken hoor. Aangezien OpenElec e.a. onder Linux vallen.
Ik denk dat hij vanwege deze zin dat denkt: "Zo is nu minimaal OS X 10.7, iOS 5.1 of Android 4.2 nodig."

Waarom Linux en Windows er niet bij staan is waarschijnlijk omdat de minimumeisen niet zijn verhoogd.
Klopt, bij die specifiek genoemde OS'en bevatten die versies bepaalde specifieke API's die nodig zijn. Maar wie gebruikt Łberhaupt nog die versies. iOS 5.1 is al zeer oud, Android 4.2 is al heel oud, zo'n beetje elke China tablet met Android is minimaal Android 4.4. En bij OS X zijn we aanbeland op 10.11.
Er zijn nog altijd gebruikers die oude versies in gebruik hebben.

- Niet iedere iOS update is echt goed te noemen, of men heeft geen zin om te updaten. Ik val onder de laatste categorie ;) Draai zelf iOS 8.1, en zolang ik niet wordt gedwongen door een app zie ik het nut ook niet echt om weer te updaten.
- Veel Android devices hebben nooit een update mogen ontvangen vanuit de fabrikant, of een enkele subversie, maar geen major. Zijn zat android devices die snel zat zijn voor Kodi, maar al een paar jaar oud zijn. Denk bijvoorbeeld aan tablets, die worden niet zo snel vervangen. Zo heb ik zelf nog steeds de iPad 2 in gebruik, gezien die snel zat is en nog perfect werkt wordt die ook niet snel vervangen. (Nee, is geen Android tablet maar was puur een voorbeeld dat men een tablet niet zo snel vervangt als bijvoorbeeld een telefoon. Zijn ook zat onderzoeken naar)
- Wat betreft OSx durf ik het niet te zeggen. Er zitten altijd wel versies bij die niet lekker werken, maar dat is (zover ik begrijp van de Apple gebruikers die al langer op een Apple werken dan ik) gemiddeld om de versie. Geen reden dus om nog meer dan 4 versie's achter te lopen.

Gelukkig betreft dit verweg de kleinste groep binnen ieder product. Veel producten worden standaard geupdate, of je krijgt zo vaak de melding dat er een update is dat je hem puur uit ergenis installeert ;) Het feit blijft wel dŠt ze er zijn, en voor die mensen is het wel handig om te weten of hun apparaat nog voldoende is.
Over iOS, wees realistisch, iOS 5 ….. Die draait echt niemand meer. Zelfs op de iPhone 3GS draai je nog iOS 6.1.6. Dus daar kan nooit een keer iemand over vallen. En wat betreft iOS versies, de meest stabiele was iOS 8, dus als men weigert te updaten, blijven ze steken bij iOS 7 of 8.

Wat betreft Android heb je gelijk, maar 4.4 is ook al weer zo oud, als je een toestel hebt die ooit begon met 4.0 of ervoor zelfs, dan is het echt tijd dat je je telefoon update anders kan je sowieso al de meeste apps niet meer draaien want ook de apps op je telefoon stellen eisen aan het OS versie.

En OSX, de laatste versie is hun beste release ooit, super snel, stabiel, maar dat was ook hun insteek, iets minder features, meer gefocussed op performance, met succes, en wordt tot hele oude MacBook’s ondersteund. OSX is sowieso al stabiel, daar heb je minder slechte versies van dan met iOS, dus daar zal het probleem sowieso niet liggen. Als je de meest stabiele moet kiezen, is dat Mavericks (10.9).

Dus qua de eisen, zie ik echt geen problemen.
Zoals ik het ie, mensen die zulke oude hardware hebben dat ze niet kunnen updaten, die kunnen niet eens Kodi draaien, of enkel een oude versie van XBMC. De mensen die nieuwe versies kunnen installeren, draaien minimaal de laatste stable die hun bevalt.
Binnen het OpenELEC-team is het al een keer aangekaart. Stomweg omdat het testen van nieuwe builds op de RPi-1 zoveel meer tijd kost. Tijd die toch al zeer schaars is bij de developers. Gezien de huidige gebruikersaantallen van de RPi-1 zal de support niet meteen afgestoten worden, maar die kans is er uiteindelijk zeker wel.
Toch blijf ik het gek vinden dat het niet met een aantal klikken te updaten is vanuit kodi zelf
Kan prima, zelfs automatisch je machine laten updaten... maar je of je dat nu echt wilt..
Ik denk dat hij bedoelt Kodi zelf updaten en dat gaat op een eenvoudige manier alleen als Openelec ook wordt voorzien van een update.
Helemaal mee eens, zou toch gewoon automatisch in te stellen moeten zijn.
Desnoods met een bepaalde wachttijd na een release.
En het blijft angstvallig stil bij OpenELEC.
Ik ben bang dat het voor mij ook niet meer hoeft. De nieuwe Apple TV, een goede media app en het is klaar! :)
al blijft het mooie software
De hoofdontwikkelaar van OE heeft sinds een paar maanden een nieuwe, veeleisende baan. Daarbij moet er ook nog tijd overblijven voor familiaire prioriteiten.

Stil is het wel geweest ja, er was heel even een kans dat het definitief stil geworden zou zijn. Maar deels kwam het verder ook door het wachten op Kodi 15.2 final. Anders zouden we sommige dingen dubbel gaan doen en testen, en dat is natuurlijk overbodig met de geringe beschikbare tijd. OpenELEC is nog steeds een (uit de hand gelopen) hobbyproject.
Dat is eigenlijk jammer, het is een project vol potentie. Ik heb er altijd met erg veel plezier gebruik van gemaakt. Stukken fijner dan de LiveCD optie van Kodi zelf (die je ook kon installeren).
Apple TV is niets vergeleken met software als Kodi. Teveel beperkingen ;)
Huh, ik snap je reactie even niet. Je probeert volgens mij een burn te maken die behoorlijk mislukt.

Wat heeft VLC, Infuse of Synology te maken met een Apple TV? :S
Ik denk dat je even ontgaat dat de nieuwe Apple TV apps ondersteund en dus in potentie heel wat zou kunnen zijn. Wellicht doelde jij met je reactie nog op de oudere/huidige Apple TV?
Nee, ook de nieuwe. De apps die o.a. Kodi zo interresant maken worden nooit toegelaten door Apple. Een jailbreak is er (nog) niet, dus je bent behoorlijk beperkt. Wil je bijvoorbeeld Kodi installeren op een iOS device moet je hem al gejailbreakt hebben.

Apple doet snel moeilijk over dingen in het grijs gebied, zoals bitcoin wallets, torrent software etc. Helemaal gezien Apple zelf een store heeft die media content aanbied.

Daarnaast, mis je bij open software zoals Kodi iets zou je het theoretisch gezien ten alle tijden kunnen toevoegen. Niemand die je beperkt in de code die je schrijft en lokaal draait.
Wat voor apps op Kodi bedoel je dan?
Ik mis er niet zoveel aan en ik denk dat met bestaande apps ik prima uit de voeten kan.
Pas geinstalleerd omdat ik ben overgestapt op Ubuntu. Doei win10.
Maar het is wel even wennen allemaal. Intuitief is wat anders. Maar gok als ik het
heb uitgedoctered allemaal, het wel prima zal werken.

Altijd blij met een update natuurlijk 8-)

[Reactie gewijzigd door Rixilabur op 20 oktober 2015 10:30]

Ik zit er juist net te denken om over te stappen op Win 10 voor mijn HTPC in verband met de native Netflix app haha. Enigste reden tevens, voor de rest is mijn Linux HTPC ervaring vele malen beter.
Nog niet over Netflix nagedacht. Had verwacht eigenlijk dat er wel een Kodi plugin voor zou zijn. Blijkbaar nog niet?
Ja en nee. Er is een plugin, maar door de DRM van Netflix moet je je browser opstarten. Tevens werkt die plugin met crawlers, waardoor de plugin iedere keer een paar dagen niet werkt wanneer Netflix zijn site aanpast. Plus je hebt geen 5.1 geluid, vandaar mijn overweging naar Windows 10 icm native Netflix app

Edit: Even voor de duidelijkheid, je start niet zelf handmatig de browser op. Dat doet de plugin voor je. Je moet hem wel zelf sluiten.

[Reactie gewijzigd door NightFox89 op 20 oktober 2015 10:38]

Niet een erg elegante oplossing dan voor Linux. Wel jammer. Begrijp wel dat je dan wat anders moet pakken.
Het is dezelfde oplossing die je in de overige besturingssystemen krijgt. Althans, wanneer je de kodi addons gebruikt. Niet specifiek gericht voor Linux. Echter sinds Windows 8 is er een native Netflix app voor de desktop.
Waarom een netflix programma en niet browserapp?
Zoals al aangegeven, de browser versie heeft geen surround geluid.
Heb ik ook overwogen, maar Netflix bekijken via Chrome (volledige Ubuntu installatie) werkt voor mij ook prima.
Ja, zo heb/had ik hem ook draaien. Alleen mis ik het 5.1 geluid dat je niet krijgt via de browserversie.
Geen NetFlix op Ubuntu vind ik ook een gemis inderdaad. Er is een plugin maar die is stuk en er schijnt een methode te zijn dat je t via Chrome doet maar t voelt allemaal niet echt gebruiksvriendelijk aan... m'n vrouw moet t ook snappen zegmaar.
Het zal sowieso soepeler moeten werken. Je hebt niet heel Windows eronder draaien, iets wat ik persoonlijk overkill vind, Linux distro's zijn over het algemeen veel efficiŽnter qua resource verbruik.
Merk inderdaad dat het allemaal net wat strakker aanvoelt wanneer ik iets doe. Alleen nog even wat gedoe met dual screen wat ie niet goed doet etc. Laptop nog erg up to date qua hardware etc. Nog even uitzoeken allemaal.
Je zou ook een Raspberry Pi B2 kunnen kopen, en die met tape achter de TV plakken. Uit het zicht, < 2 Watt stroom verbruik, kan je een jaar lang 24/7 aan laten staan voor < 2 euro. En dan heb je het volledig dedicated. Ik heb op de slaapkamer een Raspberry Pi B 1, een HTPC in een kast die als MySQL server omgebouwd is, en in de woonkamer een Raspberry Pi B2. Lekker vlotte apparaatjes, goedkoop, toegankelijk etc. en draaien gewoon Linux met Kodi erover zonder problemen. Waarom zou je dan de moeite doen om een laptop op de TV aan te sluiten 😊.
Heb je die pc in de kast nog nodig? Die moet dus ook 24/7 aanstaan, lekker nuttig een 2watt stroomverbruik RPi als je nog een pc ervoor nodig hebt.

Zeker met Kodi 15 is MySQL toch overbodig geworden? Via uPNP kan je op je RPi1 gewoon de library van je RPi2 gebruiken, incl fanart en sinds Kodi 15 wordt subtitles ook ondersteund (daarvoor moest je ze opnieuw lokaal downloaden). Dus die pc kan weg?
Je kan toch een externe schijf aansluiten? Ik heb een HTPC gebouwd met energie in het achterhoofd, die heb ik op een gegeven moment naar boven gedaan in een kast in mijn 'man cave'-kamer. Daar heb ik diverse processen uitgesloopt zodat Linux daar heel licht op draait met enkel processen zoals Couchpotato en Sonarr enz. Ik merkte namelijk dat Kodi moeite had met soepel te zijn met al die processen op de achtergrond erbij, dus losgetrokken door aparte Pi's te plaatsen. Dus de belasting van de HTPC is nu vele malen lager, waardoor het totaal plaatje nu minder stroom verbruikt.
Heeft iemand een Kodi image voor een Banana Pro?
Ik bedien t viabmn tabley, dat werkt echt lekker
werkt perfect op mijn NVidia shield tv, hij had hem zelf al geupdate vanuit de store.
Mooi, op Windows HTPC werkt timeshift in Kodi nu goed met TVheadend PVR plugin. Dat was voor deze update wel anders.

Nu maar wachten op OpenElec en hopen dat het op PI2 timeshift ook werkt met TVheadend.

Op dit item kan niet meer gereageerd worden.



Apple iOS 10 Google Pixel Apple iPhone 7 Sony PlayStation VR AMD Radeon RX 480 4GB Battlefield 1 Google Android Nougat Watch Dogs 2

© 1998 - 2016 de Persgroep Online Services B.V. Tweakers vormt samen met o.a. Autotrack en Carsom.nl de Persgroep Online Services B.V. Hosting door True